> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mutes

> Use the Enterprise Mutes endpoints to mute and unmute accounts on behalf of the authenticated user and retrieve the full list of users they have muted on X.

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

The Mutes endpoints let you mute and unmute users, and retrieve the list of users muted by the authenticated user.

## Overview

<CardGroup cols={2}>
  <Card title="Mute" icon="volume-xmark">
    Mute a user
  </Card>

  <Card title="Unmute" icon="volume-high">
    Unmute a user
  </Card>

  <Card title="Muted users" icon="list">
    Get your muted user list
  </Card>
</CardGroup>

***

## Endpoints

| Method | Endpoint                                                                      | Description     |
| :----- | :---------------------------------------------------------------------------- | :-------------- |
| GET    | [`/2/users/:id/muting`](/x-api/users/get-muting)                              | Get muted users |
| POST   | [`/2/users/:id/muting`](/x-api/users/mute-user)                               | Mute a user     |
| DELETE | [`/2/users/:source_user_id/muting/:target_user_id`](/x-api/users/unmute-user) | Unmute a user   |

***

## Example: Get muted users

```bash theme={null}
curl "https://api.x.com/2/users/123456789/muting?\
user.fields=username,description" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"
```

## Example: Mute a user

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/muting" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"target_user_id": "9876543210"}'
```

***

## Getting started

<Note>
  **Prerequisites**

  * An approved [developer account](https://developer.x.com/en/portal/petition/essential/basic-info)
  * A [Project and App](/resources/fundamentals/developer-apps) in the Developer Console
  * User Access Tokens via [OAuth 2.0 PKCE](/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2)
</Note>

<CardGroup cols={2}>
  <Card title="Mutes lookup quickstart" icon="list" href="/x-api/users/mutes/quickstart/mutes-lookup">
    Get your muted users
  </Card>

  <Card title="Manage mutes quickstart" icon="volume-xmark" href="/x-api/users/mutes/quickstart/manage-mutes-quickstart">
    Mute and unmute users
  </Card>

  <Card title="Integration guide" icon="book" href="/x-api/users/mutes/integrate">
    Key concepts and best practices
  </Card>

  <Card title="API Reference" icon="code" href="/x-api/users/get-muting">
    Full endpoint documentation
  </Card>
</CardGroup>
